System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

This enumeration applies to extensibility elements which specify that data transmissions use the SOAP protocol, and which are added to , and instances.

For more information about specifying protocols for XML Web services, see [<topic://cpconbuildingaspnetwebservices>]. For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

Specifies whether the message parts are encoded as abstract type definitions or concrete schema definitions.

- Field
  System.Web.Services.Description.SoapBindingUse To be added

  Specifies an empty string ("") value for the corresponding XML use attribute.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Field
  System.Web.Services.Description.SoapBindingUse To be added

  The message parts are encoded using given encoding rules.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("encoded")
- Field
  System.Web.Services.Description.SoapBindingUse To be added

  The message parts represent a concrete schema.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("literal")